curl --request POST \
--url https://api-prod.blaaiz.com/api/external/collection/accept-interac-money-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference_number": "ABC123456",
"security_answer": "MySecretAnswer",
"email": "payer@example.com"
}
'{
"message": "Interac money request accepted successfully. It will be processed in a few minutes.",
"transaction": {
"id": "20580e50-1b32-40a6-aa46-ac8e795b3zas",
"status": "PENDING",
"reference": "CA1MR6ahQBCJ",
"external_reference": "CA1MR6ahQBCJ"
}
}{
"message": "Invalid or missing access token"
}Collection
Accept Interac money request
Accept an Interac transfer into your business wallet. Required scope: collection:interac:accept.
POST
/
api
/
external
/
collection
/
accept-interac-money-request
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/collection/accept-interac-money-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference_number": "ABC123456",
"security_answer": "MySecretAnswer",
"email": "payer@example.com"
}
'{
"message": "Interac money request accepted successfully. It will be processed in a few minutes.",
"transaction": {
"id": "20580e50-1b32-40a6-aa46-ac8e795b3zas",
"status": "PENDING",
"reference": "CA1MR6ahQBCJ",
"external_reference": "CA1MR6ahQBCJ"
}
}{
"message": "Invalid or missing access token"
}Authorizations
Use your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
Headers
Content type header.
Body
application/json
- Standard transfer (security answer required)
- Auto Deposit transfer (no security answer)
Use this for regular Interac transfers that require a security answer.
Was this page helpful?